/* Page */

body {
    font-family: 'Voces', sans-serif;
}

#page {
    margin-bottom: 60px;
    padding-left: 3%;
    padding-right: 3%;
    padding-top: 3rem;
}

#footer {
    margin: 0px auto 0px auto;
}

#banner {
    display: block;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
}

#banner-link {
    text-decoration: none;
    color: inherit;
}

#nav-wrapper {
    /*width: 80%;
    margin: 0px auto 0px auto;*/
}
.navbar-nav {
    padding-left: 50px;
    padding-right: 50px
}

.navbar {
    background-color: #576765;
    border-color: #000;
}

a > .glyphicon {
    margin-right: 8px;
}

.navbar-default .navbar-nav > li > a,
.navbar-default .navbar-nav > .active > a {
    color: #f1f2f7;
}

.navbar-default .navbar-nav > li > a:hover,
.navbar-default .navbar-nav > .active > a:hover {
    color: #c6c8ce;
}

.navbar .navbar-nav > .active > a {
    background-color: #9199a2;
}

.navbar .navbar-nav > .active > a:hover {
    background-color: #9199a2;
}

#admin {
    border: 1px solid #444444;
    border-bottom: none;
    border-radius: 5px 5px 0px 0px;
    display: inline-block;
    padding: 5px;
    margin-left: 30px;
    background-color: #f5dfdf;
}

/* Tables */

table {
    width: 100%;
}

.table {
    font-size: 1.1em;
}

.asc:after {
    content: " \2193";
}
.desc:after {
    content: " \2191";
}

.legend {
    font-style: italic;
}

/* Flash Messages */

div.message {
    text-align: center;
    display: block;
    font-weight: bold;
    font-size: 1.1em;
    padding: 0.9rem 1.5rem;
    transition: height 300ms, margin 300ms;
    -moz-transition: height 300ms, margin 300ms; /* Firefox 4 */
    -webkit-transition: height 300ms, margin 300ms; /* Safari and Chrome */
    -o-transition: height 300ms, margin 300ms; /* Opera */
    -ms-transition: height 300ms, margin 300ms; /* Explorer 10 */
    background-color: #a0d3e8;
    color: #626262;
    /*top: 15px;
    right: 15px;
    z-index: 999;*/
    overflow: hidden;
    min-height: 56px;
    width: 70%;
    max-width: 820px;
    line-height: 1.45em;
    border-radius: 5px;
    margin: 5px auto;
}

div.message::before {
    line-height: 0px;
    font-size: 20px;
    height: 12px;
    width: 12px;
    border-radius: 15px;
    text-align: center;
    vertical-align: middle;
    display: inline-block;
    position: relative;
    left: -11px;
    background-color: #FFF;
    padding: 12px 14px 12px 10px;
    content: "i";
    color: #a0d3e8;
}

div.message.error {
    background-color: #C3232D;
    color: #FFF;
    cursor: pointer;
}

div.message.error::before {
    padding: 11px 16px 14px 7px;
    color: #C3232D;
    content: "x";
}

div.message.success {
    background-color: #5ed3ab;
    color: #666600;
    cursor: pointer;
}

div.message.success::before {
    padding: 11px 16px 14px 7px;
    content: "✓";
    color: green;
    margin-right: 9px;
}

div.message.warning {
    background-color: #e8a020;
    color: #FFF;
    cursor: pointer;
}

div.message.warning::before {
    padding: 11px 16px 14px 7px;
    content: "!";
    color: #e8a020;
}

div.message.collapsed {
    height: 0;
    margin: 0px auto;
}

/* Forms */
.date label {
    display: block;
}
.date select {
    width: 25%;
    display: inline-block;
}
form .submit {
    margin-top: 20px;
    /*margin-right: 10px;*/
    display: inline;
}

legend {
    font-size: 1.1em;
    font-style: italic;
    padding-top: 20px;
    margin-bottom: 5px;
}

.input {
    margin-bottom: 8px;
}

.input.error {
    background-color: #faf4f4;
}

.error-message {
    font-style: italic;
    font-weight: bold;
    color: #c51818;
    margin-bottom: 1rem;
    font-size: 1rem;
}

#round_select {
    width: 50%;
    display: inline;
}

/* Special Rounds table */

table.round-table {
    width: 80%;
    margin: auto;
}

.round-table td {
    font-weight: bold;
}
.round-table th {
    font-weight: normal;
}

/* Round page user */
a.userlink {
    position:relative;
    display:block;
    padding:10px 15px;
    background-color: #576765;
    color:white;
    text-align: center;
    display: inline-block;
    text-decoration: none;
    border-radius: 5px;
}



/* Reviews */
.review {
    border-style: solid;
    border-width: 1px;
    border-radius: 5px;
    background-color: #ece8ec;
    margin-bottom: 20px;
    padding: 10px;
}

.review > .criterion {
    background-color: #576765;
    text-align: center;
    border-radius: 0px;
    /*margin-top: 10px;*/
    padding-bottom: 5px;
    padding-top: 5px;
    color: white;
}

.review > .entry {
    margin-top: 10px;
    margin-bottom: 20px;
}

.review > .entry > .score {
    display: inline-block;
    width: 10%;
    font-weight: bold;
    font-size: 1.2em;
    vertical-align: top;
}
.review > .entry > .body {
    display: inline-block;
    width: 70%;
    font-style: italic;
}
.review > p.total {
    font-weight: bold;
    text-decoration: underline;
    font-size: 1.1em;
}

ul.attention li {
    font-weight: bold;
}

/* Rounds view */

#phases {
    margin-bottom: 30px;
}

#phases .phase {
    border-width: 1px;
    border-color: #444444;
    border-style: solid;
    border-radius: 10px;
    padding: 5px;
    text-align: center;
    background-color: #cccccc;
    color: #999999;
    /*height: 100px;*/
    margin-bottom: 5px;
}

#phases .phase.active {
    border-width: 2px;
    background-color: #FFFFFF;
    color: inherit;
}

#phases .phase > h3 {
    text-decoration: underline;
    margin-top: 10px;
    margin-bottom: 20px;
    font-size: 1.4em;
}

#phases .phase > p {
    font-style: italic;
}

.page-error {
    color: #990000;
    font-style: italic;
    text-decoration: underline;
}

/* Settings */
div.preview {
    padding: 1rem;
    border-width: 1px;
    border-style: dashed;
    margin-top: 2.5rem;
}

div.preview-row {
    margin-top: 1rem;
    margin-bottom: 2rem;
}

div.preview-row textarea {
    resize: vertical;
}

/* Special buttons */

.select-button > span {
    font-size: 1.2em;
    margin: auto;
    margin: 2px;
}

button.select-button {
    width: 35px;
    height: 35px;
    padding: 2px;
}

div#paper {
    margin-bottom: 30px;
}

div#roundinfo {
    margin-top: 20px;
    width: 500px;
}

form#reviews-form div.select {
    max-height: 15rem;
    overflow-y: scroll;
}

div.comment {
    border-style: solid;
    border-width: 1px;
    border-radius: 5px;
    margin-bottom: 15px;
    padding: 5px;
}
